
%global  base_name kwallet-pam

Name:    pam-kwallet
Summary: PAM module for KWallet
Version: 5.7.5
Release: 1%{?dist}

License: LGPLv2+
URL:     https://quickgit.kde.org/?p=%{base_name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/plasma/%{version}/%{base_name}-%{version}.tar.xz

Provides: %{base_name} = %{version}-%{release}

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: libgcrypt-devel >= 1.5.0
BuildRequires: pam-devel
%if ! 0%{?bootstrap}
BuildRequires: socat
%endif

# https://bugzilla.redhat.com/show_bug.cgi?id=1155873
Requires: socat

%description
%{summary}.


%prep
%autosetup -n kwallet-pam-%{version} -p1


%build
mkdir %{_target_platform}-5
pushd %{_target_platform}-5
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}-5

mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} .. \
  -DKWALLET4=1
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}-5


%files
%{_sysconfdir}/xdg/autostart/pam_kwallet_init.desktop
%{_libexecdir}/pam_kwallet_init
%{_libdir}/security/pam_kwallet5.so
%{_libdir}/security/pam_kwallet.so


%changelog
* Tue Sep 13 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.7.5-1
- 5.7.5

* Tue Aug 23 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.7.4-1
- 5.7.4

* Tue Aug 02 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.7.3-1
- 5.7.3

* Tue Jul 19 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.7.2-1
- 5.7.2

* Tue Jul 12 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.7.1-1
- 5.7.1

* Thu Jun 30 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.7.0-1
- 5.7.0

* Sat Jun 25 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.95-1
- 5.6.95

* Tue Jun 14 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.5-1
- 5.6.5

* Sat May 14 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.4-1
- 5.6.4

* Tue Apr 19 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.3-1
- 5.6.3

* Sat Apr 09 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.2-1
- 5.6.2

* Fri Apr 08 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.1-1
- 5.6.1

* Mon Mar 07 2016 Rex Dieter <rdieter@fedoraproject.org> 5.5.5-1
- 5.5.5

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb 01 2016 Rex Dieter <rdieter@fedoraproject.org> 5.5.4-1
- 5.5.4

* Thu Dec 31 2015 Rex Dieter <rdieter@fedoraproject.org> - 5.5.2-1
- 5.5.2

* Mon Dec 21 2015 Rex Dieter <rdieter@fedoraproject.org> - 5.5.1-1
- 5.5.1

* Wed Dec 09 2015 Rex Dieter <rdieter@fedoraproject.org> - 5.5.0-1
- 5.5.0

* Thu Oct 01 2015 Rex Dieter <rdieter@fedoraproject.org> - 5.4.2-1
- 5.4.2

* Wed Sep 09 2015 Rex Dieter <rdieter@fedoraproject.org> 5.4.1-1
- kwallet-pam-5.4.1

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.20140508git49a5bc0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Dec 05 2014 Rex Dieter <rdieter@fedoraproject.org> 0-0.7.20140508git
- Requires: socat (#1155873)

* Thu Sep 25 2014 Rex Dieter <rdieter@fedoraproject.org> 0-0.6.20140508git49a5bc0
- 20140508 snapshot

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.20140428gitaf786456
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20140428gitaf786456
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 30 2014 Rex Dieter <rdieter@fedoraproject.org> 0-0.3.20140428gitaf786456
- License: LGPLv2+

* Mon Apr 28 2014 Rex Dieter <rdieter@fedoraproject.org> 0-0.2.20140428gitaf786456
- 20140428 git snapshot

* Fri Apr 11 2014 Rex Dieter <rdieter@fedoraproject.org> 0-0.120140409git7604d424
- first try

